.NET

Reply
Member
Posts: 4
Registered: ‎06-02-2009
Message 1 of 2 (148 Views)
Accepted Solution

Help with "CreateExtrudedSolid" & "sweepoptions "

148 Views, 1 Replies
04-18-2013 04:28 PM

In the past I used "AddExtrudedSolid" to extrude a region without any problems, worked like a charm see "old" code below.

 

F3D = AcadDoc.ModelSpace.AddExtrudedSolid(AcadRegion, Math.Abs(CollThickness(x)), 0)

 

I'm currently updating the code because "AddExtrudedSolid" is now known as "CreateExtrudedSolid". In the new version, my last parameter is asking for a "sweepoptions". Doesn't matter what I put there, it doesn't like it. See the code below. What do I need to do to make it work?

 

Dim so As SweepOptions
F3D = acSol3D.CreateExtrudedSolid(AcadRegion, Math.Abs(CollThickness(x)), so )

 

*Expert Elite*
Hallex
Posts: 1,566
Registered: ‎10-08-2008
Message 2 of 2 (127 Views)

Re: Help with "CreateExtrudedSolid" & "sweepoptions "

04-18-2013 10:23 PM in reply to: wcruzcc
Try this code snip it's working on A2010:
sold.CreateExtrudedSolid(curv, New Vector3d(1, 2, 20), New SweepOptions())
Change vector and curve to your settings
_____________________________________
C6309D9E0751D165D0934D0621DFF27919

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you interested in helping shape the Autodesk Community?
We’re looking at a few different ways to improve the “All Forums” landing page and need your feedback! If interested, please take a few minutes to fill out the following Usability Study. Thank you for your time!

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community